ClassifierGuide (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.guide
Interface ClassifierGuide

All Superinterfaces:
  Guide

All Known Implementing Classes:
  SingleGuide

    public interface ClassifierGuide

extends Guide

Nested Class Summary
`static class` | `ClassifierGuide.GuideMode`

Method Summary
`void` | `addInstance(GuideDecision decision)`
`FeatureVector` | `extract()`
`FeatureModelManager` | `getFeatureModelManager()`
`ClassifierGuide.GuideMode` | `getGuideMode()`
`GuideHistory` | `getHistory()`
`void` | `noMoreInstances()`
`void` | `predict(GuideDecision decision)`
`FeatureVector` | `predictExtract(GuideDecision decision)`
`boolean` | `predictFromKBestList(GuideDecision decision)`

Methods inherited from interface org.maltparser.parser.guide.Guide
`finalizeSentence, getConfiguration, getGuideName, setGuideName, terminate`

Method Detail

### addInstance

    void addInstance(GuideDecision decision)
                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### noMoreInstances

    void noMoreInstances()
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### predict

    void predict(GuideDecision decision)
                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### predictExtract

    FeatureVector predictExtract(GuideDecision decision)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### extract

    FeatureVector extract()
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### predictFromKBestList

    boolean predictFromKBestList(GuideDecision decision)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### getGuideMode

    ClassifierGuide.GuideMode getGuideMode()

### getHistory

    GuideHistory getHistory()

### getFeatureModelManager

    FeatureModelManager getFeatureModelManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.